using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        var manager = RadAjaxManager.GetCurrent(this);
        manager.AjaxRequest += new RadAjaxControl.AjaxRequestDelegate(YourContentPage_AjaxRequest);
    }

    private void YourContentPage_AjaxRequest(object sender, AjaxRequestEventArgs e)
    {
        //Optionally process supplied event arg
        switch (e.Argument)
        {
            case "FINISH": //Do something
                Label1.Text = DateTime.Now.ToString();
                break;
        }
    }
}
